/*******************************************************************************
* File Name: Ah.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Ah_H) /* Pins Ah_H */
#define CY_PINS_Ah_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Ah_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Ah__PORT == 15 && ((Ah__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Ah_Write(uint8 value);
void    Ah_SetDriveMode(uint8 mode);
uint8   Ah_ReadDataReg(void);
uint8   Ah_Read(void);
void    Ah_SetInterruptMode(uint16 position, uint16 mode);
uint8   Ah_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Ah_SetDriveMode() function.
     *  @{
     */
        #define Ah_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Ah_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Ah_DM_RES_UP          PIN_DM_RES_UP
        #define Ah_DM_RES_DWN         PIN_DM_RES_DWN
        #define Ah_DM_OD_LO           PIN_DM_OD_LO
        #define Ah_DM_OD_HI           PIN_DM_OD_HI
        #define Ah_DM_STRONG          PIN_DM_STRONG
        #define Ah_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Ah_MASK               Ah__MASK
#define Ah_SHIFT              Ah__SHIFT
#define Ah_WIDTH              8u

/* Interrupt constants */
#if defined(Ah__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Ah_SetInterruptMode() function.
     *  @{
     */
        #define Ah_INTR_NONE      (uint16)(0x0000u)
        #define Ah_INTR_RISING    (uint16)(0x0001u)
        #define Ah_INTR_FALLING   (uint16)(0x0002u)
        #define Ah_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Ah_INTR_MASK      (0x01u) 
#endif /* (Ah__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Ah_PS                     (* (reg8 *) Ah__PS)
/* Data Register */
#define Ah_DR                     (* (reg8 *) Ah__DR)
/* Port Number */
#define Ah_PRT_NUM                (* (reg8 *) Ah__PRT) 
/* Connect to Analog Globals */                                                  
#define Ah_AG                     (* (reg8 *) Ah__AG)                       
/* Analog MUX bux enable */
#define Ah_AMUX                   (* (reg8 *) Ah__AMUX) 
/* Bidirectional Enable */                                                        
#define Ah_BIE                    (* (reg8 *) Ah__BIE)
/* Bit-mask for Aliased Register Access */
#define Ah_BIT_MASK               (* (reg8 *) Ah__BIT_MASK)
/* Bypass Enable */
#define Ah_BYP                    (* (reg8 *) Ah__BYP)
/* Port wide control signals */                                                   
#define Ah_CTL                    (* (reg8 *) Ah__CTL)
/* Drive Modes */
#define Ah_DM0                    (* (reg8 *) Ah__DM0) 
#define Ah_DM1                    (* (reg8 *) Ah__DM1)
#define Ah_DM2                    (* (reg8 *) Ah__DM2) 
/* Input Buffer Disable Override */
#define Ah_INP_DIS                (* (reg8 *) Ah__INP_DIS)
/* LCD Common or Segment Drive */
#define Ah_LCD_COM_SEG            (* (reg8 *) Ah__LCD_COM_SEG)
/* Enable Segment LCD */
#define Ah_LCD_EN                 (* (reg8 *) Ah__LCD_EN)
/* Slew Rate Control */
#define Ah_SLW                    (* (reg8 *) Ah__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Ah_PRTDSI__CAPS_SEL       (* (reg8 *) Ah__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Ah_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Ah__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Ah_PRTDSI__OE_SEL0        (* (reg8 *) Ah__PRTDSI__OE_SEL0) 
#define Ah_PRTDSI__OE_SEL1        (* (reg8 *) Ah__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Ah_PRTDSI__OUT_SEL0       (* (reg8 *) Ah__PRTDSI__OUT_SEL0) 
#define Ah_PRTDSI__OUT_SEL1       (* (reg8 *) Ah__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Ah_PRTDSI__SYNC_OUT       (* (reg8 *) Ah__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Ah__SIO_CFG)
    #define Ah_SIO_HYST_EN        (* (reg8 *) Ah__SIO_HYST_EN)
    #define Ah_SIO_REG_HIFREQ     (* (reg8 *) Ah__SIO_REG_HIFREQ)
    #define Ah_SIO_CFG            (* (reg8 *) Ah__SIO_CFG)
    #define Ah_SIO_DIFF           (* (reg8 *) Ah__SIO_DIFF)
#endif /* (Ah__SIO_CFG) */

/* Interrupt Registers */
#if defined(Ah__INTSTAT)
    #define Ah_INTSTAT            (* (reg8 *) Ah__INTSTAT)
    #define Ah_SNAP               (* (reg8 *) Ah__SNAP)
    
	#define Ah_0_INTTYPE_REG 		(* (reg8 *) Ah__0__INTTYPE)
	#define Ah_1_INTTYPE_REG 		(* (reg8 *) Ah__1__INTTYPE)
	#define Ah_2_INTTYPE_REG 		(* (reg8 *) Ah__2__INTTYPE)
	#define Ah_3_INTTYPE_REG 		(* (reg8 *) Ah__3__INTTYPE)
	#define Ah_4_INTTYPE_REG 		(* (reg8 *) Ah__4__INTTYPE)
	#define Ah_5_INTTYPE_REG 		(* (reg8 *) Ah__5__INTTYPE)
	#define Ah_6_INTTYPE_REG 		(* (reg8 *) Ah__6__INTTYPE)
	#define Ah_7_INTTYPE_REG 		(* (reg8 *) Ah__7__INTTYPE)
#endif /* (Ah__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Ah_H */


/* [] END OF FILE */
