/*******************************************************************************
* File Name: BUSREQn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_BUSREQn_H) /* Pins BUSREQn_H */
#define CY_PINS_BUSREQn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "BUSREQn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 BUSREQn__PORT == 15 && ((BUSREQn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    BUSREQn_Write(uint8 value);
void    BUSREQn_SetDriveMode(uint8 mode);
uint8   BUSREQn_ReadDataReg(void);
uint8   BUSREQn_Read(void);
void    BUSREQn_SetInterruptMode(uint16 position, uint16 mode);
uint8   BUSREQn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the BUSREQn_SetDriveMode() function.
     *  @{
     */
        #define BUSREQn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define BUSREQn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define BUSREQn_DM_RES_UP          PIN_DM_RES_UP
        #define BUSREQn_DM_RES_DWN         PIN_DM_RES_DWN
        #define BUSREQn_DM_OD_LO           PIN_DM_OD_LO
        #define BUSREQn_DM_OD_HI           PIN_DM_OD_HI
        #define BUSREQn_DM_STRONG          PIN_DM_STRONG
        #define BUSREQn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define BUSREQn_MASK               BUSREQn__MASK
#define BUSREQn_SHIFT              BUSREQn__SHIFT
#define BUSREQn_WIDTH              1u

/* Interrupt constants */
#if defined(BUSREQn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in BUSREQn_SetInterruptMode() function.
     *  @{
     */
        #define BUSREQn_INTR_NONE      (uint16)(0x0000u)
        #define BUSREQn_INTR_RISING    (uint16)(0x0001u)
        #define BUSREQn_INTR_FALLING   (uint16)(0x0002u)
        #define BUSREQn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define BUSREQn_INTR_MASK      (0x01u) 
#endif /* (BUSREQn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define BUSREQn_PS                     (* (reg8 *) BUSREQn__PS)
/* Data Register */
#define BUSREQn_DR                     (* (reg8 *) BUSREQn__DR)
/* Port Number */
#define BUSREQn_PRT_NUM                (* (reg8 *) BUSREQn__PRT) 
/* Connect to Analog Globals */                                                  
#define BUSREQn_AG                     (* (reg8 *) BUSREQn__AG)                       
/* Analog MUX bux enable */
#define BUSREQn_AMUX                   (* (reg8 *) BUSREQn__AMUX) 
/* Bidirectional Enable */                                                        
#define BUSREQn_BIE                    (* (reg8 *) BUSREQn__BIE)
/* Bit-mask for Aliased Register Access */
#define BUSREQn_BIT_MASK               (* (reg8 *) BUSREQn__BIT_MASK)
/* Bypass Enable */
#define BUSREQn_BYP                    (* (reg8 *) BUSREQn__BYP)
/* Port wide control signals */                                                   
#define BUSREQn_CTL                    (* (reg8 *) BUSREQn__CTL)
/* Drive Modes */
#define BUSREQn_DM0                    (* (reg8 *) BUSREQn__DM0) 
#define BUSREQn_DM1                    (* (reg8 *) BUSREQn__DM1)
#define BUSREQn_DM2                    (* (reg8 *) BUSREQn__DM2) 
/* Input Buffer Disable Override */
#define BUSREQn_INP_DIS                (* (reg8 *) BUSREQn__INP_DIS)
/* LCD Common or Segment Drive */
#define BUSREQn_LCD_COM_SEG            (* (reg8 *) BUSREQn__LCD_COM_SEG)
/* Enable Segment LCD */
#define BUSREQn_LCD_EN                 (* (reg8 *) BUSREQn__LCD_EN)
/* Slew Rate Control */
#define BUSREQn_SLW                    (* (reg8 *) BUSREQn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define BUSREQn_PRTDSI__CAPS_SEL       (* (reg8 *) BUSREQn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define BUSREQn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) BUSREQn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define BUSREQn_PRTDSI__OE_SEL0        (* (reg8 *) BUSREQn__PRTDSI__OE_SEL0) 
#define BUSREQn_PRTDSI__OE_SEL1        (* (reg8 *) BUSREQn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define BUSREQn_PRTDSI__OUT_SEL0       (* (reg8 *) BUSREQn__PRTDSI__OUT_SEL0) 
#define BUSREQn_PRTDSI__OUT_SEL1       (* (reg8 *) BUSREQn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define BUSREQn_PRTDSI__SYNC_OUT       (* (reg8 *) BUSREQn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(BUSREQn__SIO_CFG)
    #define BUSREQn_SIO_HYST_EN        (* (reg8 *) BUSREQn__SIO_HYST_EN)
    #define BUSREQn_SIO_REG_HIFREQ     (* (reg8 *) BUSREQn__SIO_REG_HIFREQ)
    #define BUSREQn_SIO_CFG            (* (reg8 *) BUSREQn__SIO_CFG)
    #define BUSREQn_SIO_DIFF           (* (reg8 *) BUSREQn__SIO_DIFF)
#endif /* (BUSREQn__SIO_CFG) */

/* Interrupt Registers */
#if defined(BUSREQn__INTSTAT)
    #define BUSREQn_INTSTAT            (* (reg8 *) BUSREQn__INTSTAT)
    #define BUSREQn_SNAP               (* (reg8 *) BUSREQn__SNAP)
    
	#define BUSREQn_0_INTTYPE_REG 		(* (reg8 *) BUSREQn__0__INTTYPE)
#endif /* (BUSREQn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_BUSREQn_H */


/* [] END OF FILE */
