/*******************************************************************************
* File Name: INTn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_INTn_H) /* Pins INTn_H */
#define CY_PINS_INTn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "INTn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 INTn__PORT == 15 && ((INTn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    INTn_Write(uint8 value);
void    INTn_SetDriveMode(uint8 mode);
uint8   INTn_ReadDataReg(void);
uint8   INTn_Read(void);
void    INTn_SetInterruptMode(uint16 position, uint16 mode);
uint8   INTn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the INTn_SetDriveMode() function.
     *  @{
     */
        #define INTn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define INTn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define INTn_DM_RES_UP          PIN_DM_RES_UP
        #define INTn_DM_RES_DWN         PIN_DM_RES_DWN
        #define INTn_DM_OD_LO           PIN_DM_OD_LO
        #define INTn_DM_OD_HI           PIN_DM_OD_HI
        #define INTn_DM_STRONG          PIN_DM_STRONG
        #define INTn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define INTn_MASK               INTn__MASK
#define INTn_SHIFT              INTn__SHIFT
#define INTn_WIDTH              1u

/* Interrupt constants */
#if defined(INTn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in INTn_SetInterruptMode() function.
     *  @{
     */
        #define INTn_INTR_NONE      (uint16)(0x0000u)
        #define INTn_INTR_RISING    (uint16)(0x0001u)
        #define INTn_INTR_FALLING   (uint16)(0x0002u)
        #define INTn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define INTn_INTR_MASK      (0x01u) 
#endif /* (INTn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define INTn_PS                     (* (reg8 *) INTn__PS)
/* Data Register */
#define INTn_DR                     (* (reg8 *) INTn__DR)
/* Port Number */
#define INTn_PRT_NUM                (* (reg8 *) INTn__PRT) 
/* Connect to Analog Globals */                                                  
#define INTn_AG                     (* (reg8 *) INTn__AG)                       
/* Analog MUX bux enable */
#define INTn_AMUX                   (* (reg8 *) INTn__AMUX) 
/* Bidirectional Enable */                                                        
#define INTn_BIE                    (* (reg8 *) INTn__BIE)
/* Bit-mask for Aliased Register Access */
#define INTn_BIT_MASK               (* (reg8 *) INTn__BIT_MASK)
/* Bypass Enable */
#define INTn_BYP                    (* (reg8 *) INTn__BYP)
/* Port wide control signals */                                                   
#define INTn_CTL                    (* (reg8 *) INTn__CTL)
/* Drive Modes */
#define INTn_DM0                    (* (reg8 *) INTn__DM0) 
#define INTn_DM1                    (* (reg8 *) INTn__DM1)
#define INTn_DM2                    (* (reg8 *) INTn__DM2) 
/* Input Buffer Disable Override */
#define INTn_INP_DIS                (* (reg8 *) INTn__INP_DIS)
/* LCD Common or Segment Drive */
#define INTn_LCD_COM_SEG            (* (reg8 *) INTn__LCD_COM_SEG)
/* Enable Segment LCD */
#define INTn_LCD_EN                 (* (reg8 *) INTn__LCD_EN)
/* Slew Rate Control */
#define INTn_SLW                    (* (reg8 *) INTn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define INTn_PRTDSI__CAPS_SEL       (* (reg8 *) INTn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define INTn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) INTn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define INTn_PRTDSI__OE_SEL0        (* (reg8 *) INTn__PRTDSI__OE_SEL0) 
#define INTn_PRTDSI__OE_SEL1        (* (reg8 *) INTn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define INTn_PRTDSI__OUT_SEL0       (* (reg8 *) INTn__PRTDSI__OUT_SEL0) 
#define INTn_PRTDSI__OUT_SEL1       (* (reg8 *) INTn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define INTn_PRTDSI__SYNC_OUT       (* (reg8 *) INTn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(INTn__SIO_CFG)
    #define INTn_SIO_HYST_EN        (* (reg8 *) INTn__SIO_HYST_EN)
    #define INTn_SIO_REG_HIFREQ     (* (reg8 *) INTn__SIO_REG_HIFREQ)
    #define INTn_SIO_CFG            (* (reg8 *) INTn__SIO_CFG)
    #define INTn_SIO_DIFF           (* (reg8 *) INTn__SIO_DIFF)
#endif /* (INTn__SIO_CFG) */

/* Interrupt Registers */
#if defined(INTn__INTSTAT)
    #define INTn_INTSTAT            (* (reg8 *) INTn__INTSTAT)
    #define INTn_SNAP               (* (reg8 *) INTn__SNAP)
    
	#define INTn_0_INTTYPE_REG 		(* (reg8 *) INTn__0__INTTYPE)
#endif /* (INTn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_INTn_H */


/* [] END OF FILE */
