/*******************************************************************************
* File Name: IORQint.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_IORQint_H)
#define CY_ISR_IORQint_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void IORQint_Start(void);
void IORQint_StartEx(cyisraddress address);
void IORQint_Stop(void);

CY_ISR_PROTO(IORQint_Interrupt);

void IORQint_SetVector(cyisraddress address);
cyisraddress IORQint_GetVector(void);

void IORQint_SetPriority(uint8 priority);
uint8 IORQint_GetPriority(void);

void IORQint_Enable(void);
uint8 IORQint_GetState(void);
void IORQint_Disable(void);

void IORQint_SetPending(void);
void IORQint_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the IORQint ISR. */
#define IORQint_INTC_VECTOR            ((reg32 *) IORQint__INTC_VECT)

/* Address of the IORQint ISR priority. */
#define IORQint_INTC_PRIOR             ((reg8 *) IORQint__INTC_PRIOR_REG)

/* Priority of the IORQint interrupt. */
#define IORQint_INTC_PRIOR_NUMBER      IORQint__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable IORQint interrupt. */
#define IORQint_INTC_SET_EN            ((reg32 *) IORQint__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the IORQint interrupt. */
#define IORQint_INTC_CLR_EN            ((reg32 *) IORQint__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the IORQint interrupt state to pending. */
#define IORQint_INTC_SET_PD            ((reg32 *) IORQint__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the IORQint interrupt. */
#define IORQint_INTC_CLR_PD            ((reg32 *) IORQint__INTC_CLR_PD_REG)


#endif /* CY_ISR_IORQint_H */


/* [] END OF FILE */
