/*******************************************************************************
* File Name: KeyInt.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_KeyInt_H)
#define CY_ISR_KeyInt_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void KeyInt_Start(void);
void KeyInt_StartEx(cyisraddress address);
void KeyInt_Stop(void);

CY_ISR_PROTO(KeyInt_Interrupt);

void KeyInt_SetVector(cyisraddress address);
cyisraddress KeyInt_GetVector(void);

void KeyInt_SetPriority(uint8 priority);
uint8 KeyInt_GetPriority(void);

void KeyInt_Enable(void);
uint8 KeyInt_GetState(void);
void KeyInt_Disable(void);

void KeyInt_SetPending(void);
void KeyInt_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the KeyInt ISR. */
#define KeyInt_INTC_VECTOR            ((reg32 *) KeyInt__INTC_VECT)

/* Address of the KeyInt ISR priority. */
#define KeyInt_INTC_PRIOR             ((reg8 *) KeyInt__INTC_PRIOR_REG)

/* Priority of the KeyInt interrupt. */
#define KeyInt_INTC_PRIOR_NUMBER      KeyInt__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable KeyInt interrupt. */
#define KeyInt_INTC_SET_EN            ((reg32 *) KeyInt__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the KeyInt interrupt. */
#define KeyInt_INTC_CLR_EN            ((reg32 *) KeyInt__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the KeyInt interrupt state to pending. */
#define KeyInt_INTC_SET_PD            ((reg32 *) KeyInt__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the KeyInt interrupt. */
#define KeyInt_INTC_CLR_PD            ((reg32 *) KeyInt__INTC_CLR_PD_REG)


#endif /* CY_ISR_KeyInt_H */


/* [] END OF FILE */
