/*******************************************************************************
* File Name: NMIn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_NMIn_H) /* Pins NMIn_H */
#define CY_PINS_NMIn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "NMIn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 NMIn__PORT == 15 && ((NMIn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    NMIn_Write(uint8 value);
void    NMIn_SetDriveMode(uint8 mode);
uint8   NMIn_ReadDataReg(void);
uint8   NMIn_Read(void);
void    NMIn_SetInterruptMode(uint16 position, uint16 mode);
uint8   NMIn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the NMIn_SetDriveMode() function.
     *  @{
     */
        #define NMIn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define NMIn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define NMIn_DM_RES_UP          PIN_DM_RES_UP
        #define NMIn_DM_RES_DWN         PIN_DM_RES_DWN
        #define NMIn_DM_OD_LO           PIN_DM_OD_LO
        #define NMIn_DM_OD_HI           PIN_DM_OD_HI
        #define NMIn_DM_STRONG          PIN_DM_STRONG
        #define NMIn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define NMIn_MASK               NMIn__MASK
#define NMIn_SHIFT              NMIn__SHIFT
#define NMIn_WIDTH              1u

/* Interrupt constants */
#if defined(NMIn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in NMIn_SetInterruptMode() function.
     *  @{
     */
        #define NMIn_INTR_NONE      (uint16)(0x0000u)
        #define NMIn_INTR_RISING    (uint16)(0x0001u)
        #define NMIn_INTR_FALLING   (uint16)(0x0002u)
        #define NMIn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define NMIn_INTR_MASK      (0x01u) 
#endif /* (NMIn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define NMIn_PS                     (* (reg8 *) NMIn__PS)
/* Data Register */
#define NMIn_DR                     (* (reg8 *) NMIn__DR)
/* Port Number */
#define NMIn_PRT_NUM                (* (reg8 *) NMIn__PRT) 
/* Connect to Analog Globals */                                                  
#define NMIn_AG                     (* (reg8 *) NMIn__AG)                       
/* Analog MUX bux enable */
#define NMIn_AMUX                   (* (reg8 *) NMIn__AMUX) 
/* Bidirectional Enable */                                                        
#define NMIn_BIE                    (* (reg8 *) NMIn__BIE)
/* Bit-mask for Aliased Register Access */
#define NMIn_BIT_MASK               (* (reg8 *) NMIn__BIT_MASK)
/* Bypass Enable */
#define NMIn_BYP                    (* (reg8 *) NMIn__BYP)
/* Port wide control signals */                                                   
#define NMIn_CTL                    (* (reg8 *) NMIn__CTL)
/* Drive Modes */
#define NMIn_DM0                    (* (reg8 *) NMIn__DM0) 
#define NMIn_DM1                    (* (reg8 *) NMIn__DM1)
#define NMIn_DM2                    (* (reg8 *) NMIn__DM2) 
/* Input Buffer Disable Override */
#define NMIn_INP_DIS                (* (reg8 *) NMIn__INP_DIS)
/* LCD Common or Segment Drive */
#define NMIn_LCD_COM_SEG            (* (reg8 *) NMIn__LCD_COM_SEG)
/* Enable Segment LCD */
#define NMIn_LCD_EN                 (* (reg8 *) NMIn__LCD_EN)
/* Slew Rate Control */
#define NMIn_SLW                    (* (reg8 *) NMIn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define NMIn_PRTDSI__CAPS_SEL       (* (reg8 *) NMIn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define NMIn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) NMIn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define NMIn_PRTDSI__OE_SEL0        (* (reg8 *) NMIn__PRTDSI__OE_SEL0) 
#define NMIn_PRTDSI__OE_SEL1        (* (reg8 *) NMIn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define NMIn_PRTDSI__OUT_SEL0       (* (reg8 *) NMIn__PRTDSI__OUT_SEL0) 
#define NMIn_PRTDSI__OUT_SEL1       (* (reg8 *) NMIn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define NMIn_PRTDSI__SYNC_OUT       (* (reg8 *) NMIn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(NMIn__SIO_CFG)
    #define NMIn_SIO_HYST_EN        (* (reg8 *) NMIn__SIO_HYST_EN)
    #define NMIn_SIO_REG_HIFREQ     (* (reg8 *) NMIn__SIO_REG_HIFREQ)
    #define NMIn_SIO_CFG            (* (reg8 *) NMIn__SIO_CFG)
    #define NMIn_SIO_DIFF           (* (reg8 *) NMIn__SIO_DIFF)
#endif /* (NMIn__SIO_CFG) */

/* Interrupt Registers */
#if defined(NMIn__INTSTAT)
    #define NMIn_INTSTAT            (* (reg8 *) NMIn__INTSTAT)
    #define NMIn_SNAP               (* (reg8 *) NMIn__SNAP)
    
	#define NMIn_0_INTTYPE_REG 		(* (reg8 *) NMIn__0__INTTYPE)
#endif /* (NMIn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_NMIn_H */


/* [] END OF FILE */
