/*******************************************************************************
* File Name: RFSHn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RFSHn_H) /* Pins RFSHn_H */
#define CY_PINS_RFSHn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RFSHn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 RFSHn__PORT == 15 && ((RFSHn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    RFSHn_Write(uint8 value);
void    RFSHn_SetDriveMode(uint8 mode);
uint8   RFSHn_ReadDataReg(void);
uint8   RFSHn_Read(void);
void    RFSHn_SetInterruptMode(uint16 position, uint16 mode);
uint8   RFSHn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the RFSHn_SetDriveMode() function.
     *  @{
     */
        #define RFSHn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define RFSHn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define RFSHn_DM_RES_UP          PIN_DM_RES_UP
        #define RFSHn_DM_RES_DWN         PIN_DM_RES_DWN
        #define RFSHn_DM_OD_LO           PIN_DM_OD_LO
        #define RFSHn_DM_OD_HI           PIN_DM_OD_HI
        #define RFSHn_DM_STRONG          PIN_DM_STRONG
        #define RFSHn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define RFSHn_MASK               RFSHn__MASK
#define RFSHn_SHIFT              RFSHn__SHIFT
#define RFSHn_WIDTH              1u

/* Interrupt constants */
#if defined(RFSHn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in RFSHn_SetInterruptMode() function.
     *  @{
     */
        #define RFSHn_INTR_NONE      (uint16)(0x0000u)
        #define RFSHn_INTR_RISING    (uint16)(0x0001u)
        #define RFSHn_INTR_FALLING   (uint16)(0x0002u)
        #define RFSHn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define RFSHn_INTR_MASK      (0x01u) 
#endif /* (RFSHn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RFSHn_PS                     (* (reg8 *) RFSHn__PS)
/* Data Register */
#define RFSHn_DR                     (* (reg8 *) RFSHn__DR)
/* Port Number */
#define RFSHn_PRT_NUM                (* (reg8 *) RFSHn__PRT) 
/* Connect to Analog Globals */                                                  
#define RFSHn_AG                     (* (reg8 *) RFSHn__AG)                       
/* Analog MUX bux enable */
#define RFSHn_AMUX                   (* (reg8 *) RFSHn__AMUX) 
/* Bidirectional Enable */                                                        
#define RFSHn_BIE                    (* (reg8 *) RFSHn__BIE)
/* Bit-mask for Aliased Register Access */
#define RFSHn_BIT_MASK               (* (reg8 *) RFSHn__BIT_MASK)
/* Bypass Enable */
#define RFSHn_BYP                    (* (reg8 *) RFSHn__BYP)
/* Port wide control signals */                                                   
#define RFSHn_CTL                    (* (reg8 *) RFSHn__CTL)
/* Drive Modes */
#define RFSHn_DM0                    (* (reg8 *) RFSHn__DM0) 
#define RFSHn_DM1                    (* (reg8 *) RFSHn__DM1)
#define RFSHn_DM2                    (* (reg8 *) RFSHn__DM2) 
/* Input Buffer Disable Override */
#define RFSHn_INP_DIS                (* (reg8 *) RFSHn__INP_DIS)
/* LCD Common or Segment Drive */
#define RFSHn_LCD_COM_SEG            (* (reg8 *) RFSHn__LCD_COM_SEG)
/* Enable Segment LCD */
#define RFSHn_LCD_EN                 (* (reg8 *) RFSHn__LCD_EN)
/* Slew Rate Control */
#define RFSHn_SLW                    (* (reg8 *) RFSHn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RFSHn_PRTDSI__CAPS_SEL       (* (reg8 *) RFSHn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RFSHn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RFSHn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RFSHn_PRTDSI__OE_SEL0        (* (reg8 *) RFSHn__PRTDSI__OE_SEL0) 
#define RFSHn_PRTDSI__OE_SEL1        (* (reg8 *) RFSHn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RFSHn_PRTDSI__OUT_SEL0       (* (reg8 *) RFSHn__PRTDSI__OUT_SEL0) 
#define RFSHn_PRTDSI__OUT_SEL1       (* (reg8 *) RFSHn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RFSHn_PRTDSI__SYNC_OUT       (* (reg8 *) RFSHn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(RFSHn__SIO_CFG)
    #define RFSHn_SIO_HYST_EN        (* (reg8 *) RFSHn__SIO_HYST_EN)
    #define RFSHn_SIO_REG_HIFREQ     (* (reg8 *) RFSHn__SIO_REG_HIFREQ)
    #define RFSHn_SIO_CFG            (* (reg8 *) RFSHn__SIO_CFG)
    #define RFSHn_SIO_DIFF           (* (reg8 *) RFSHn__SIO_DIFF)
#endif /* (RFSHn__SIO_CFG) */

/* Interrupt Registers */
#if defined(RFSHn__INTSTAT)
    #define RFSHn_INTSTAT            (* (reg8 *) RFSHn__INTSTAT)
    #define RFSHn_SNAP               (* (reg8 *) RFSHn__SNAP)
    
	#define RFSHn_0_INTTYPE_REG 		(* (reg8 *) RFSHn__0__INTTYPE)
#endif /* (RFSHn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_RFSHn_H */


/* [] END OF FILE */
