/*******************************************************************************
* File Name: SyncCtrl_1_Sync.h
* Version 1.0
*
* Description:
*  This header file contains registers and constants associated with the
*  Count7 component.
*
* Note:
*
********************************************************************************
* Copyright 2013, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_COUNT7_SyncCtrl_1_Sync_H)
#define CY_COUNT7_SyncCtrl_1_Sync_H

#include "cyfitter.h"

#if ((CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC3) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC4) || \
     (CYDEV_CHIP_FAMILY_USED == CYDEV_CHIP_FAMILY_PSOC5))
    #include "cytypes.h"
    #include "CyLib.h"
#else
    #include "syslib/cy_syslib.h"
#endif


/***************************************
* Function Prototypes
***************************************/
void  SyncCtrl_1_Sync_Init(void) ;
void  SyncCtrl_1_Sync_Enable(void) ;
void  SyncCtrl_1_Sync_Start(void) ;
void  SyncCtrl_1_Sync_Stop(void) ;
void  SyncCtrl_1_Sync_WriteCounter(uint8 count) ;
uint8 SyncCtrl_1_Sync_ReadCounter(void) ;
void  SyncCtrl_1_Sync_WritePeriod(uint8 period) ;
uint8 SyncCtrl_1_Sync_ReadPeriod(void) ;
void  SyncCtrl_1_Sync_SaveConfig(void) ;
void  SyncCtrl_1_Sync_RestoreConfig(void) ;
void  SyncCtrl_1_Sync_Sleep(void) ;
void  SyncCtrl_1_Sync_Wakeup(void) ;


/***************************************
*     Data Struct Definitions
***************************************/
/* Structure to save registers before go to sleep */
typedef struct
{
    uint8 enableState;
    uint8 count;
} SyncCtrl_1_Sync_BACKUP_STRUCT;


/***************************************
*           Global Variables
***************************************/
extern SyncCtrl_1_Sync_BACKUP_STRUCT SyncCtrl_1_Sync_backup;
extern uint8 SyncCtrl_1_Sync_initVar;


/***************************************
* Initial Parameter
***************************************/
#define SyncCtrl_1_Sync_INITIAL_PERIOD               (7u)


/***************************************
* Registers
***************************************/
#define SyncCtrl_1_Sync_COUNT_REG                    (*(reg8 *) SyncCtrl_1_Sync_Counter7__COUNT_REG)
#define SyncCtrl_1_Sync_COUNT_PTR                    ( (reg8 *) SyncCtrl_1_Sync_Counter7__COUNT_REG)
#define SyncCtrl_1_Sync_PERIOD_REG                   (*(reg8 *) SyncCtrl_1_Sync_Counter7__PERIOD_REG)
#define SyncCtrl_1_Sync_PERIOD_PTR                   ( (reg8 *) SyncCtrl_1_Sync_Counter7__PERIOD_REG)
#define SyncCtrl_1_Sync_AUX_CONTROL_REG              (*(reg8 *) SyncCtrl_1_Sync_Counter7__CONTROL_AUX_CTL_REG)
#define SyncCtrl_1_Sync_AUX_CONTROL_PTR              ( (reg8 *) SyncCtrl_1_Sync_Counter7__CONTROL_AUX_CTL_REG)


/***************************************
* Register Constants
***************************************/
#define SyncCtrl_1_Sync_COUNTER_START                (0x20u)

/* This constant is used to mask the TC bit (bit#7) in the Count register */
#define SyncCtrl_1_Sync_COUNT_7BIT_MASK              (0x7Fu)


#endif /* CY_COUNT7_SyncCtrl_1_Sync_H */


/* [] END OF FILE */
