/*******************************************************************************
* File Name: zxdma_int.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_zxdma_int_H)
#define CY_ISR_zxdma_int_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void zxdma_int_Start(void);
void zxdma_int_StartEx(cyisraddress address);
void zxdma_int_Stop(void);

CY_ISR_PROTO(zxdma_int_Interrupt);

void zxdma_int_SetVector(cyisraddress address);
cyisraddress zxdma_int_GetVector(void);

void zxdma_int_SetPriority(uint8 priority);
uint8 zxdma_int_GetPriority(void);

void zxdma_int_Enable(void);
uint8 zxdma_int_GetState(void);
void zxdma_int_Disable(void);

void zxdma_int_SetPending(void);
void zxdma_int_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the zxdma_int ISR. */
#define zxdma_int_INTC_VECTOR            ((reg32 *) zxdma_int__INTC_VECT)

/* Address of the zxdma_int ISR priority. */
#define zxdma_int_INTC_PRIOR             ((reg8 *) zxdma_int__INTC_PRIOR_REG)

/* Priority of the zxdma_int interrupt. */
#define zxdma_int_INTC_PRIOR_NUMBER      zxdma_int__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable zxdma_int interrupt. */
#define zxdma_int_INTC_SET_EN            ((reg32 *) zxdma_int__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the zxdma_int interrupt. */
#define zxdma_int_INTC_CLR_EN            ((reg32 *) zxdma_int__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the zxdma_int interrupt state to pending. */
#define zxdma_int_INTC_SET_PD            ((reg32 *) zxdma_int__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the zxdma_int interrupt. */
#define zxdma_int_INTC_CLR_PD            ((reg32 *) zxdma_int__INTC_CLR_PD_REG)


#endif /* CY_ISR_zxdma_int_H */


/* [] END OF FILE */
