/* ========================================
 *
 * PSoC5LP - Z80 - Interface
 *
 * Started 03/2018 - JJ Michel
 *
 * ========================================
*/
#include "project.h"
#define MAIN
#include "common.h"

uint8 debug;

// Changed in IO interrupt
volatile uint8 io_int,io_port,io_data,io_ctrl;
volatile uint8 ink,key,obusy;
volatile uint8 sdcard_op;

char buffer[60];

char rbuf[65],wbuf[65],*ubuf,*pbuf;     // Buffer for Char Output (from emulated uart to USB/VGA)
uint8 uptr;                             // ptr
uint8 kbuf[8];                          // Buffer for Char Input (from USB/PS2 to emulated uart)

void keyboard(void)
{
    do
    {
     if (ps2_available())
      printf("%c",ps2_read());
    } while (1==1);
    
}    

const char *bin2str[16] = { "0000","0001","0010","0011",
                            "0100","0101","0110","0111",
                            "1000","1001","1010","1011",
                            "1100","1101","1110","1111" };

int main(void)
{
    int i;
    unsigned char buf[64];
    
    CyGlobalIntEnable; /* Enable global interrupts. */

    /* All Inits */
    
    // USBUART
    USBUART_Start(0,USBUART_5V_OPERATION);    
    while (!USBUART_GetConfiguration()) ;    
    USBUART_CDC_Init();
    

    // VGA
    vga_init();
    // PS2 Keyboard
    ps2_init();

    NMIgen_Start();
    
reset:  
    RESETn_Write(0);
     uprintf("Started\n\r");
     CyDelay(1000);
    
     while ((i=USBUART_GetCount())==0) ;
     USBUART_GetData(buf,i);

     uprintf("Go...\n\r");
    
     sram_sendfile();
     ZX81ModeInit();
    
     goto reset;
}

/* [] END OF FILE */
