/*******************************************************************************
* File Name: CEn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CEn_H) /* Pins CEn_H */
#define CY_PINS_CEn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CEn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 CEn__PORT == 15 && ((CEn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    CEn_Write(uint8 value);
void    CEn_SetDriveMode(uint8 mode);
uint8   CEn_ReadDataReg(void);
uint8   CEn_Read(void);
void    CEn_SetInterruptMode(uint16 position, uint16 mode);
uint8   CEn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the CEn_SetDriveMode() function.
     *  @{
     */
        #define CEn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define CEn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define CEn_DM_RES_UP          PIN_DM_RES_UP
        #define CEn_DM_RES_DWN         PIN_DM_RES_DWN
        #define CEn_DM_OD_LO           PIN_DM_OD_LO
        #define CEn_DM_OD_HI           PIN_DM_OD_HI
        #define CEn_DM_STRONG          PIN_DM_STRONG
        #define CEn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define CEn_MASK               CEn__MASK
#define CEn_SHIFT              CEn__SHIFT
#define CEn_WIDTH              1u

/* Interrupt constants */
#if defined(CEn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in CEn_SetInterruptMode() function.
     *  @{
     */
        #define CEn_INTR_NONE      (uint16)(0x0000u)
        #define CEn_INTR_RISING    (uint16)(0x0001u)
        #define CEn_INTR_FALLING   (uint16)(0x0002u)
        #define CEn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define CEn_INTR_MASK      (0x01u) 
#endif /* (CEn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CEn_PS                     (* (reg8 *) CEn__PS)
/* Data Register */
#define CEn_DR                     (* (reg8 *) CEn__DR)
/* Port Number */
#define CEn_PRT_NUM                (* (reg8 *) CEn__PRT) 
/* Connect to Analog Globals */                                                  
#define CEn_AG                     (* (reg8 *) CEn__AG)                       
/* Analog MUX bux enable */
#define CEn_AMUX                   (* (reg8 *) CEn__AMUX) 
/* Bidirectional Enable */                                                        
#define CEn_BIE                    (* (reg8 *) CEn__BIE)
/* Bit-mask for Aliased Register Access */
#define CEn_BIT_MASK               (* (reg8 *) CEn__BIT_MASK)
/* Bypass Enable */
#define CEn_BYP                    (* (reg8 *) CEn__BYP)
/* Port wide control signals */                                                   
#define CEn_CTL                    (* (reg8 *) CEn__CTL)
/* Drive Modes */
#define CEn_DM0                    (* (reg8 *) CEn__DM0) 
#define CEn_DM1                    (* (reg8 *) CEn__DM1)
#define CEn_DM2                    (* (reg8 *) CEn__DM2) 
/* Input Buffer Disable Override */
#define CEn_INP_DIS                (* (reg8 *) CEn__INP_DIS)
/* LCD Common or Segment Drive */
#define CEn_LCD_COM_SEG            (* (reg8 *) CEn__LCD_COM_SEG)
/* Enable Segment LCD */
#define CEn_LCD_EN                 (* (reg8 *) CEn__LCD_EN)
/* Slew Rate Control */
#define CEn_SLW                    (* (reg8 *) CEn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CEn_PRTDSI__CAPS_SEL       (* (reg8 *) CEn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CEn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CEn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CEn_PRTDSI__OE_SEL0        (* (reg8 *) CEn__PRTDSI__OE_SEL0) 
#define CEn_PRTDSI__OE_SEL1        (* (reg8 *) CEn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CEn_PRTDSI__OUT_SEL0       (* (reg8 *) CEn__PRTDSI__OUT_SEL0) 
#define CEn_PRTDSI__OUT_SEL1       (* (reg8 *) CEn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CEn_PRTDSI__SYNC_OUT       (* (reg8 *) CEn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(CEn__SIO_CFG)
    #define CEn_SIO_HYST_EN        (* (reg8 *) CEn__SIO_HYST_EN)
    #define CEn_SIO_REG_HIFREQ     (* (reg8 *) CEn__SIO_REG_HIFREQ)
    #define CEn_SIO_CFG            (* (reg8 *) CEn__SIO_CFG)
    #define CEn_SIO_DIFF           (* (reg8 *) CEn__SIO_DIFF)
#endif /* (CEn__SIO_CFG) */

/* Interrupt Registers */
#if defined(CEn__INTSTAT)
    #define CEn_INTSTAT            (* (reg8 *) CEn__INTSTAT)
    #define CEn_SNAP               (* (reg8 *) CEn__SNAP)
    
	#define CEn_0_INTTYPE_REG 		(* (reg8 *) CEn__0__INTTYPE)
#endif /* (CEn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_CEn_H */


/* [] END OF FILE */
