/*******************************************************************************
* File Name: GP3.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_GP3_ALIASES_H) /* Pins GP3_ALIASES_H */
#define CY_PINS_GP3_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define GP3_0			(GP3__0__PC)
#define GP3_0_INTR	((uint16)((uint16)0x0001u << GP3__0__SHIFT))

#define GP3_1			(GP3__1__PC)
#define GP3_1_INTR	((uint16)((uint16)0x0001u << GP3__1__SHIFT))

#define GP3_2			(GP3__2__PC)
#define GP3_2_INTR	((uint16)((uint16)0x0001u << GP3__2__SHIFT))

#define GP3_3			(GP3__3__PC)
#define GP3_3_INTR	((uint16)((uint16)0x0001u << GP3__3__SHIFT))

#define GP3_4			(GP3__4__PC)
#define GP3_4_INTR	((uint16)((uint16)0x0001u << GP3__4__SHIFT))

#define GP3_5			(GP3__5__PC)
#define GP3_5_INTR	((uint16)((uint16)0x0001u << GP3__5__SHIFT))

#define GP3_6			(GP3__6__PC)
#define GP3_6_INTR	((uint16)((uint16)0x0001u << GP3__6__SHIFT))

#define GP3_7			(GP3__7__PC)
#define GP3_7_INTR	((uint16)((uint16)0x0001u << GP3__7__SHIFT))

#define GP3_INTR_ALL	 ((uint16)(GP3_0_INTR| GP3_1_INTR| GP3_2_INTR| GP3_3_INTR| GP3_4_INTR| GP3_5_INTR| GP3_6_INTR| GP3_7_INTR))

#endif /* End Pins GP3_ALIASES_H */


/* [] END OF FILE */
