/*******************************************************************************
* File Name: IOint.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_IOint_H)
#define CY_ISR_IOint_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void IOint_Start(void);
void IOint_StartEx(cyisraddress address);
void IOint_Stop(void);

CY_ISR_PROTO(IOint_Interrupt);

void IOint_SetVector(cyisraddress address);
cyisraddress IOint_GetVector(void);

void IOint_SetPriority(uint8 priority);
uint8 IOint_GetPriority(void);

void IOint_Enable(void);
uint8 IOint_GetState(void);
void IOint_Disable(void);

void IOint_SetPending(void);
void IOint_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the IOint ISR. */
#define IOint_INTC_VECTOR            ((reg32 *) IOint__INTC_VECT)

/* Address of the IOint ISR priority. */
#define IOint_INTC_PRIOR             ((reg8 *) IOint__INTC_PRIOR_REG)

/* Priority of the IOint interrupt. */
#define IOint_INTC_PRIOR_NUMBER      IOint__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable IOint interrupt. */
#define IOint_INTC_SET_EN            ((reg32 *) IOint__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the IOint interrupt. */
#define IOint_INTC_CLR_EN            ((reg32 *) IOint__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the IOint interrupt state to pending. */
#define IOint_INTC_SET_PD            ((reg32 *) IOint__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the IOint interrupt. */
#define IOint_INTC_CLR_PD            ((reg32 *) IOint__INTC_CLR_PD_REG)


#endif /* CY_ISR_IOint_H */


/* [] END OF FILE */
