/*******************************************************************************
* File Name: MEMRQn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_MEMRQn_H) /* Pins MEMRQn_H */
#define CY_PINS_MEMRQn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "MEMRQn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 MEMRQn__PORT == 15 && ((MEMRQn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    MEMRQn_Write(uint8 value);
void    MEMRQn_SetDriveMode(uint8 mode);
uint8   MEMRQn_ReadDataReg(void);
uint8   MEMRQn_Read(void);
void    MEMRQn_SetInterruptMode(uint16 position, uint16 mode);
uint8   MEMRQn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the MEMRQn_SetDriveMode() function.
     *  @{
     */
        #define MEMRQn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define MEMRQn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define MEMRQn_DM_RES_UP          PIN_DM_RES_UP
        #define MEMRQn_DM_RES_DWN         PIN_DM_RES_DWN
        #define MEMRQn_DM_OD_LO           PIN_DM_OD_LO
        #define MEMRQn_DM_OD_HI           PIN_DM_OD_HI
        #define MEMRQn_DM_STRONG          PIN_DM_STRONG
        #define MEMRQn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define MEMRQn_MASK               MEMRQn__MASK
#define MEMRQn_SHIFT              MEMRQn__SHIFT
#define MEMRQn_WIDTH              1u

/* Interrupt constants */
#if defined(MEMRQn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in MEMRQn_SetInterruptMode() function.
     *  @{
     */
        #define MEMRQn_INTR_NONE      (uint16)(0x0000u)
        #define MEMRQn_INTR_RISING    (uint16)(0x0001u)
        #define MEMRQn_INTR_FALLING   (uint16)(0x0002u)
        #define MEMRQn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define MEMRQn_INTR_MASK      (0x01u) 
#endif /* (MEMRQn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define MEMRQn_PS                     (* (reg8 *) MEMRQn__PS)
/* Data Register */
#define MEMRQn_DR                     (* (reg8 *) MEMRQn__DR)
/* Port Number */
#define MEMRQn_PRT_NUM                (* (reg8 *) MEMRQn__PRT) 
/* Connect to Analog Globals */                                                  
#define MEMRQn_AG                     (* (reg8 *) MEMRQn__AG)                       
/* Analog MUX bux enable */
#define MEMRQn_AMUX                   (* (reg8 *) MEMRQn__AMUX) 
/* Bidirectional Enable */                                                        
#define MEMRQn_BIE                    (* (reg8 *) MEMRQn__BIE)
/* Bit-mask for Aliased Register Access */
#define MEMRQn_BIT_MASK               (* (reg8 *) MEMRQn__BIT_MASK)
/* Bypass Enable */
#define MEMRQn_BYP                    (* (reg8 *) MEMRQn__BYP)
/* Port wide control signals */                                                   
#define MEMRQn_CTL                    (* (reg8 *) MEMRQn__CTL)
/* Drive Modes */
#define MEMRQn_DM0                    (* (reg8 *) MEMRQn__DM0) 
#define MEMRQn_DM1                    (* (reg8 *) MEMRQn__DM1)
#define MEMRQn_DM2                    (* (reg8 *) MEMRQn__DM2) 
/* Input Buffer Disable Override */
#define MEMRQn_INP_DIS                (* (reg8 *) MEMRQn__INP_DIS)
/* LCD Common or Segment Drive */
#define MEMRQn_LCD_COM_SEG            (* (reg8 *) MEMRQn__LCD_COM_SEG)
/* Enable Segment LCD */
#define MEMRQn_LCD_EN                 (* (reg8 *) MEMRQn__LCD_EN)
/* Slew Rate Control */
#define MEMRQn_SLW                    (* (reg8 *) MEMRQn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define MEMRQn_PRTDSI__CAPS_SEL       (* (reg8 *) MEMRQn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define MEMRQn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) MEMRQn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define MEMRQn_PRTDSI__OE_SEL0        (* (reg8 *) MEMRQn__PRTDSI__OE_SEL0) 
#define MEMRQn_PRTDSI__OE_SEL1        (* (reg8 *) MEMRQn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define MEMRQn_PRTDSI__OUT_SEL0       (* (reg8 *) MEMRQn__PRTDSI__OUT_SEL0) 
#define MEMRQn_PRTDSI__OUT_SEL1       (* (reg8 *) MEMRQn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define MEMRQn_PRTDSI__SYNC_OUT       (* (reg8 *) MEMRQn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(MEMRQn__SIO_CFG)
    #define MEMRQn_SIO_HYST_EN        (* (reg8 *) MEMRQn__SIO_HYST_EN)
    #define MEMRQn_SIO_REG_HIFREQ     (* (reg8 *) MEMRQn__SIO_REG_HIFREQ)
    #define MEMRQn_SIO_CFG            (* (reg8 *) MEMRQn__SIO_CFG)
    #define MEMRQn_SIO_DIFF           (* (reg8 *) MEMRQn__SIO_DIFF)
#endif /* (MEMRQn__SIO_CFG) */

/* Interrupt Registers */
#if defined(MEMRQn__INTSTAT)
    #define MEMRQn_INTSTAT            (* (reg8 *) MEMRQn__INTSTAT)
    #define MEMRQn_SNAP               (* (reg8 *) MEMRQn__SNAP)
    
	#define MEMRQn_0_INTTYPE_REG 		(* (reg8 *) MEMRQn__0__INTTYPE)
#endif /* (MEMRQn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_MEMRQn_H */


/* [] END OF FILE */
