/*******************************************************************************
* File Name: OEn.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_OEn_H) /* Pins OEn_H */
#define CY_PINS_OEn_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "OEn_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 OEn__PORT == 15 && ((OEn__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    OEn_Write(uint8 value);
void    OEn_SetDriveMode(uint8 mode);
uint8   OEn_ReadDataReg(void);
uint8   OEn_Read(void);
void    OEn_SetInterruptMode(uint16 position, uint16 mode);
uint8   OEn_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the OEn_SetDriveMode() function.
     *  @{
     */
        #define OEn_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define OEn_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define OEn_DM_RES_UP          PIN_DM_RES_UP
        #define OEn_DM_RES_DWN         PIN_DM_RES_DWN
        #define OEn_DM_OD_LO           PIN_DM_OD_LO
        #define OEn_DM_OD_HI           PIN_DM_OD_HI
        #define OEn_DM_STRONG          PIN_DM_STRONG
        #define OEn_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define OEn_MASK               OEn__MASK
#define OEn_SHIFT              OEn__SHIFT
#define OEn_WIDTH              1u

/* Interrupt constants */
#if defined(OEn__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in OEn_SetInterruptMode() function.
     *  @{
     */
        #define OEn_INTR_NONE      (uint16)(0x0000u)
        #define OEn_INTR_RISING    (uint16)(0x0001u)
        #define OEn_INTR_FALLING   (uint16)(0x0002u)
        #define OEn_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define OEn_INTR_MASK      (0x01u) 
#endif /* (OEn__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define OEn_PS                     (* (reg8 *) OEn__PS)
/* Data Register */
#define OEn_DR                     (* (reg8 *) OEn__DR)
/* Port Number */
#define OEn_PRT_NUM                (* (reg8 *) OEn__PRT) 
/* Connect to Analog Globals */                                                  
#define OEn_AG                     (* (reg8 *) OEn__AG)                       
/* Analog MUX bux enable */
#define OEn_AMUX                   (* (reg8 *) OEn__AMUX) 
/* Bidirectional Enable */                                                        
#define OEn_BIE                    (* (reg8 *) OEn__BIE)
/* Bit-mask for Aliased Register Access */
#define OEn_BIT_MASK               (* (reg8 *) OEn__BIT_MASK)
/* Bypass Enable */
#define OEn_BYP                    (* (reg8 *) OEn__BYP)
/* Port wide control signals */                                                   
#define OEn_CTL                    (* (reg8 *) OEn__CTL)
/* Drive Modes */
#define OEn_DM0                    (* (reg8 *) OEn__DM0) 
#define OEn_DM1                    (* (reg8 *) OEn__DM1)
#define OEn_DM2                    (* (reg8 *) OEn__DM2) 
/* Input Buffer Disable Override */
#define OEn_INP_DIS                (* (reg8 *) OEn__INP_DIS)
/* LCD Common or Segment Drive */
#define OEn_LCD_COM_SEG            (* (reg8 *) OEn__LCD_COM_SEG)
/* Enable Segment LCD */
#define OEn_LCD_EN                 (* (reg8 *) OEn__LCD_EN)
/* Slew Rate Control */
#define OEn_SLW                    (* (reg8 *) OEn__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define OEn_PRTDSI__CAPS_SEL       (* (reg8 *) OEn__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define OEn_PRTDSI__DBL_SYNC_IN    (* (reg8 *) OEn__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define OEn_PRTDSI__OE_SEL0        (* (reg8 *) OEn__PRTDSI__OE_SEL0) 
#define OEn_PRTDSI__OE_SEL1        (* (reg8 *) OEn__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define OEn_PRTDSI__OUT_SEL0       (* (reg8 *) OEn__PRTDSI__OUT_SEL0) 
#define OEn_PRTDSI__OUT_SEL1       (* (reg8 *) OEn__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define OEn_PRTDSI__SYNC_OUT       (* (reg8 *) OEn__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(OEn__SIO_CFG)
    #define OEn_SIO_HYST_EN        (* (reg8 *) OEn__SIO_HYST_EN)
    #define OEn_SIO_REG_HIFREQ     (* (reg8 *) OEn__SIO_REG_HIFREQ)
    #define OEn_SIO_CFG            (* (reg8 *) OEn__SIO_CFG)
    #define OEn_SIO_DIFF           (* (reg8 *) OEn__SIO_DIFF)
#endif /* (OEn__SIO_CFG) */

/* Interrupt Registers */
#if defined(OEn__INTSTAT)
    #define OEn_INTSTAT            (* (reg8 *) OEn__INTSTAT)
    #define OEn_SNAP               (* (reg8 *) OEn__SNAP)
    
	#define OEn_0_INTTYPE_REG 		(* (reg8 *) OEn__0__INTTYPE)
#endif /* (OEn__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_OEn_H */


/* [] END OF FILE */
