/* RC2014 Specific Emulation Part */

#include "common.h"

uint8 Acia_ctrl;

void RC2014ModeLoop(void)
{
    uint8 i,debug;
    uint8 buf[64];
    char *tbuf,*pbuf;

    debug=0;
    ink=0;key=0;ubuf=wbuf;pbuf=rbuf;uptr=0;

    Acia_ctrl=0;

    Control_Control|=1;     /* Reset Wait */
    CyDelay(1);RESETn_Write(1);
    do
    {
        if (debug){
            uprinth(Ah_PS);uprinth(Al_PS);uprintf(" ");uprinth(D_PS);uprintf(" ");uprinth(*(uint8*)CYREG_PRT0_PS);
            uprintf("\r");
        }
        
        if (io_int) {  IOint_Disable();
                       if ((io_ctrl&0x01)==0) {uprintf("\r\nInt : R");uprinth(io_port);uprinth(io_data);uprintf("\n\r");}
                       else if ((io_ctrl&0x02)==0) {uprintf("\r\nInt : W");uprinth(io_port);uprinth(io_data);uprintf("\n\r");}
                       else {uprintf("\r\nInt : ?");uprinth(io_ctrl);uprinth(io_port);uprinth(io_data);uprintf("\n\r");}
                       //debug=1;
                       io_int=0;
                       IOint_Enable();
                    }

        if (uptr&&USBUART_CDCIsReady()) {IOint_Disable();ubuf[uptr]=0;
                                         tbuf=ubuf;ubuf=pbuf;pbuf=tbuf;
                                         uptr=0;IOint_Enable();
                                         uprintf(pbuf);
                                        }

        if (USBUART_CDCIsReady() && ((Acia_ctrl&0x60)==0x20))
        {
            INTn_Write(0);
        }
        
        if ((i=USBUART_GetCount())) {USBUART_GetData(buf,i);ink=1; key=buf[0]; 
                                     //status("\n\rIntVec:",SIO_B[2]);
                                     INTn_Write(0); }
    } while (key!='~');
    
//  if ((Acia_ctrl&0x80)&&(USBUART_GetCount()!=0))
//    if (nINT_ReadDataReg()!=0) { nINT_Write(0); }
//  if (((Acia_ctrl&0x60)==0x20)&&(UART_GetTxBufferSize()<UART_TX_BUFFER_SIZE))
//    if (nINT_ReadDataReg()!=0) { nINT_Write(0); }        
}

CY_ISR(RC2014ModeISR)
{
    //IORQn_ClearInterrupt();
    IORQn_INTSTAT;              // Clear on Read
    
    if ((M1_PS&M1_MASK)==0) {D_DR=0x12; INTn_Write(1); Control_Control|=1; return; }
    
    io_ctrl=*(uint8*)CYREG_PRT0_PS;
    
    if ((io_ctrl&0x02)==0)      // Write IO
    {
        io_port=Al_PS; io_data=D_PS;
        
        switch (io_port)
        {
            case 0x81:
                ubuf[uptr++]=io_data;
                break;
            case 0x80:               
                Acia_ctrl=io_data;
                break;    
            case 0x82:
            case 0x83:
                break;
            case 0x38:
                break;
            default:
                io_int=1;
        }
    }
    else if ((io_ctrl&0x01)==0)     // Read IO
    { 
        io_port=Al_PS;
        
        switch (io_port)
        {
            case 0x80:
                D_DR=ink;
                if (USBUART_CDCIsReady()) D_DR|=0x02;
                break;
            case 0x81:
                D_DR=key;ink=0;break;
            case 0x82:
            case 0x83:
                break;
            default:
                io_int=1;
        }
    }
    else
    {
        io_port=Al_PS; io_data=D_PS;
        io_int=1;
    }
    
    Control_Control|=1;
}

sbc RC2014acia={
    .sbc_name="",               // Defined in Init
    .sbc_dir="RC2014.ACI",
    .sbc_bootfile="K0001000.bin",
    .f_offset=0xE000, .f_size=0x2000, .loadaddr=0,
    .interrupt=RC2014ModeISR,
    .main_loop=RC2014ModeLoop
};

void RC2014ModeInit(void)
{
    CleanRestart();
    RC2014acia.f_offset=(RC2014acia.f_offset+0x2000)&0xFFFF;
    sprintf(RC2014acia.sbc_name,"RC2014 ACIA Mode Base : %04x",(uint16)RC2014acia.f_offset);

    SBC=RC2014acia;
}
